@layer utilities {
    [data-background="circles-violet-1"] {
        background-image:
            radial-gradient(
                circle at 79% 8%,
                rgba(218, 218, 218, 0.04) 0%,
                rgba(218, 218, 218, 0.04) 50%,
                rgba(129, 129, 129, 0.04) 50%,
                rgba(129, 129, 129, 0.04) 100%
            ),
            radial-gradient(
                circle at 0% 68%,
                rgba(47, 47, 47, 0.04) 0%,
                rgba(47, 47, 47, 0.04) 50%,
                rgba(30, 30, 30, 0.04) 50%,
                rgba(30, 30, 30, 0.04) 100%
            ),
            radial-gradient(
                circle at 96% 42%,
                rgba(88, 88, 88, 0.04) 0%,
                rgba(88, 88, 88, 0.04) 50%,
                rgba(225, 225, 225, 0.04) 50%,
                rgba(225, 225, 225, 0.04) 100%
            ),
            linear-gradient(172deg, rgb(230, 6, 245), rgb(98, 24, 90));
    }

    [data-background="circles-light-blue-1"] {
        background-image:
            radial-gradient(
                circle at 48% 77%,
                rgba(27, 27, 27, 0.04) 0%,
                rgba(27, 27, 27, 0.04) 50%,
                rgba(135, 135, 135, 0.04) 50%,
                rgba(135, 135, 135, 0.04) 100%
            ),
            radial-gradient(
                circle at 74% 36%,
                rgba(223, 223, 223, 0.04) 0%,
                rgba(223, 223, 223, 0.04) 50%,
                rgba(113, 113, 113, 0.04) 50%,
                rgba(113, 113, 113, 0.04) 100%
            ),
            radial-gradient(
                circle at 62% 13%,
                rgba(16, 16, 16, 0.04) 0%,
                rgba(16, 16, 16, 0.04) 50%,
                rgba(168, 168, 168, 0.04) 50%,
                rgba(168, 168, 168, 0.04) 100%
            ),
            linear-gradient(223deg, rgb(37, 143, 136), rgb(87, 117, 249));
    }

    [data-background="circles-yellow-1"] {
        background-image:
            radial-gradient(
                circle at 11% 62%,
                rgba(205, 205, 205, 0.04) 0%,
                rgba(205, 205, 205, 0.04) 50%,
                rgba(149, 149, 149, 0.04) 50%,
                rgba(149, 149, 149, 0.04) 100%
            ),
            radial-gradient(
                circle at 78% 10%,
                rgba(49, 49, 49, 0.04) 0%,
                rgba(49, 49, 49, 0.04) 50%,
                rgba(254, 254, 254, 0.04) 50%,
                rgba(254, 254, 254, 0.04) 100%
            ),
            radial-gradient(
                circle at 92% 43%,
                rgba(34, 34, 34, 0.04) 0%,
                rgba(34, 34, 34, 0.04) 50%,
                rgba(206, 206, 206, 0.04) 50%,
                rgba(206, 206, 206, 0.04) 100%
            ),
            linear-gradient(329deg, rgb(241, 77, 33), rgb(218, 227, 61));
    }

    [data-background="circles-mint-1"] {
        background-image:
            radial-gradient(
                circle at 77% 43%,
                rgba(168, 168, 168, 0.04) 0%,
                rgba(168, 168, 168, 0.04) 50%,
                rgba(10, 10, 10, 0.04) 50%,
                rgba(10, 10, 10, 0.04) 100%
            ),
            radial-gradient(
                circle at 33% 65%,
                rgba(248, 248, 248, 0.04) 0%,
                rgba(248, 248, 248, 0.04) 50%,
                rgba(228, 228, 228, 0.04) 50%,
                rgba(228, 228, 228, 0.04) 100%
            ),
            radial-gradient(
                circle at 92% 79%,
                rgba(152, 152, 152, 0.04) 0%,
                rgba(152, 152, 152, 0.04) 50%,
                rgba(28, 28, 28, 0.04) 50%,
                rgba(28, 28, 28, 0.04) 100%
            ),
            radial-gradient(
                circle at 91% 13%,
                rgba(41, 41, 41, 0.04) 0%,
                rgba(41, 41, 41, 0.04) 50%,
                rgba(214, 214, 214, 0.04) 50%,
                rgba(214, 214, 214, 0.04) 100%
            ),
            linear-gradient(90deg, rgb(11, 127, 96), rgb(139, 205, 191));
    }

    [data-background="circles-salmon-1"] {
        background-image:
            radial-gradient(
                circle at 79% 30%,
                rgba(230, 230, 230, 0.04) 0%,
                rgba(230, 230, 230, 0.04) 50%,
                rgba(12, 12, 12, 0.04) 50%,
                rgba(12, 12, 12, 0.04) 100%
            ),
            radial-gradient(
                circle at 53% 89%,
                rgba(210, 210, 210, 0.04) 0%,
                rgba(210, 210, 210, 0.04) 50%,
                rgba(24, 24, 24, 0.04) 50%,
                rgba(24, 24, 24, 0.04) 100%
            ),
            radial-gradient(
                circle at 92% 89%,
                rgba(17, 17, 17, 0.04) 0%,
                rgba(17, 17, 17, 0.04) 50%,
                rgba(205, 205, 205, 0.04) 50%,
                rgba(205, 205, 205, 0.04) 100%
            ),
            radial-gradient(
                circle at 21% 13%,
                rgba(124, 124, 124, 0.04) 0%,
                rgba(124, 124, 124, 0.04) 50%,
                rgba(243, 243, 243, 0.04) 50%,
                rgba(243, 243, 243, 0.04) 100%
            ),
            radial-gradient(
                circle at 77% 0%,
                rgba(16, 16, 16, 0.04) 0%,
                rgba(16, 16, 16, 0.04) 50%,
                rgba(130, 130, 130, 0.04) 50%,
                rgba(130, 130, 130, 0.04) 100%
            ),
            linear-gradient(90deg, rgb(247, 101, 31), rgb(249, 105, 208));
    }

    [data-background="circles-light-pink-1"] {
        background-image:
            radial-gradient(
                circle at 75% 26%,
                rgba(116, 116, 116, 0.04) 0%,
                rgba(116, 116, 116, 0.04) 50%,
                rgba(222, 222, 222, 0.04) 50%,
                rgba(222, 222, 222, 0.04) 100%
            ),
            radial-gradient(
                circle at 62% 63%,
                rgba(60, 60, 60, 0.04) 0%,
                rgba(60, 60, 60, 0.04) 50%,
                rgba(152, 152, 152, 0.04) 50%,
                rgba(152, 152, 152, 0.04) 100%
            ),
            radial-gradient(
                circle at 80% 64%,
                rgba(108, 108, 108, 0.04) 0%,
                rgba(108, 108, 108, 0.04) 50%,
                rgba(252, 252, 252, 0.04) 50%,
                rgba(252, 252, 252, 0.04) 100%
            ),
            radial-gradient(
                circle at 97% 83%,
                rgba(184, 184, 184, 0.04) 0%,
                rgba(184, 184, 184, 0.04) 50%,
                rgba(137, 137, 137, 0.04) 50%,
                rgba(137, 137, 137, 0.04) 100%
            ),
            radial-gradient(
                circle at 60% 7%,
                rgba(69, 69, 69, 0.04) 0%,
                rgba(69, 69, 69, 0.04) 50%,
                rgba(211, 211, 211, 0.04) 50%,
                rgba(211, 211, 211, 0.04) 100%
            ),
            linear-gradient(90deg, rgb(212, 245, 239), rgb(253, 123, 174));
    }

    [data-background="circles-purple-1"] {
        background-image:
            radial-gradient(
                circle at 1% 52%,
                rgba(139, 139, 139, 0.05) 0%,
                rgba(139, 139, 139, 0.05) 50%,
                rgba(21, 21, 21, 0.05) 50%,
                rgba(21, 21, 21, 0.05) 100%
            ),
            radial-gradient(
                circle at 41% 28%,
                rgba(81, 81, 81, 0.05) 0%,
                rgba(81, 81, 81, 0.05) 50%,
                rgba(7, 7, 7, 0.05) 50%,
                rgba(7, 7, 7, 0.05) 100%
            ),
            radial-gradient(
                circle at 48% 1%,
                rgba(93, 93, 93, 0.05) 0%,
                rgba(93, 93, 93, 0.05) 50%,
                rgba(7, 7, 7, 0.05) 50%,
                rgba(7, 7, 7, 0.05) 100%
            ),
            linear-gradient(255deg, rgb(156, 41, 132), rgb(47, 14, 122));
    }

    [data-background="circles-blue-1"] {
        background-image:
            radial-gradient(
                circle at 85% 40%,
                rgba(204, 204, 204, 0.08) 0%,
                rgba(204, 204, 204, 0.08) 33.333%,
                rgba(188, 188, 188, 0.08) 33.333%,
                rgba(188, 188, 188, 0.08) 66.666%,
                rgba(171, 171, 171, 0.08) 66.666%,
                rgba(171, 171, 171, 0.08) 99.999%
            ),
            radial-gradient(
                circle at 27% 80%,
                rgba(196, 196, 196, 0.08) 0%,
                rgba(196, 196, 196, 0.08) 33.333%,
                rgba(115, 115, 115, 0.08) 33.333%,
                rgba(115, 115, 115, 0.08) 66.666%,
                rgba(33, 33, 33, 0.08) 66.666%,
                rgba(33, 33, 33, 0.08) 99.999%
            ),
            radial-gradient(
                circle at 95% 54%,
                rgba(223, 223, 223, 0.08) 0%,
                rgba(223, 223, 223, 0.08) 33.333%,
                rgba(168, 168, 168, 0.08) 33.333%,
                rgba(168, 168, 168, 0.08) 66.666%,
                rgba(112, 112, 112, 0.08) 66.666%,
                rgba(112, 112, 112, 0.08) 99.999%
            ),
            linear-gradient(45deg, rgb(31, 80, 162), rgb(43, 81, 194));
    }

    [data-background="circles-pink-1"] {
        background-image:
            radial-gradient(
                circle at 40% 49%,
                rgba(196, 196, 196, 0.04) 0%,
                rgba(196, 196, 196, 0.04) 50%,
                rgba(91, 91, 91, 0.04) 50%,
                rgba(91, 91, 91, 0.04) 100%
            ),
            radial-gradient(
                circle at 32% 80%,
                rgba(42, 42, 42, 0.04) 0%,
                rgba(42, 42, 42, 0.04) 50%,
                rgba(186, 186, 186, 0.04) 50%,
                rgba(186, 186, 186, 0.04) 100%
            ),
            radial-gradient(
                circle at 72% 99%,
                rgba(233, 233, 233, 0.04) 0%,
                rgba(233, 233, 233, 0.04) 50%,
                rgba(53, 53, 53, 0.04) 50%,
                rgba(53, 53, 53, 0.04) 100%
            ),
            linear-gradient(148deg, rgb(126, 9, 68), rgb(223, 57, 181));
    }

    [data-background="circles-tahoe"] {
        background-image:
            radial-gradient(
                circle at 17% 1%,
                rgba(198, 198, 198, 0.03) 0%,
                rgba(198, 198, 198, 0.03) 50%,
                rgba(42, 42, 42, 0.03) 50%,
                rgba(42, 42, 42, 0.03) 100%
            ),
            radial-gradient(
                circle at 8% 81%,
                rgba(253, 253, 253, 0.03) 0%,
                rgba(253, 253, 253, 0.03) 50%,
                rgba(36, 36, 36, 0.03) 50%,
                rgba(36, 36, 36, 0.03) 100%
            ),
            radial-gradient(
                circle at 83% 29%,
                rgba(164, 164, 164, 0.03) 0%,
                rgba(164, 164, 164, 0.03) 50%,
                rgba(60, 60, 60, 0.03) 50%,
                rgba(60, 60, 60, 0.03) 100%
            ),
            radial-gradient(
                circle at 96% 62%,
                rgba(170, 170, 170, 0.03) 0%,
                rgba(170, 170, 170, 0.03) 50%,
                rgba(169, 169, 169, 0.03) 50%,
                rgba(169, 169, 169, 0.03) 100%
            ),
            linear-gradient(338deg, rgb(2, 141, 213), rgb(5, 172, 81));
    }

    [data-background="subtle-white"] {
        background-image:
            linear-gradient(
                112.5deg,
                rgb(214, 214, 214) 0%,
                rgb(214, 214, 214) 10%,
                rgb(195, 195, 195) 10%,
                rgb(195, 195, 195) 53%,
                rgb(176, 176, 176) 53%,
                rgb(176, 176, 176) 55%,
                rgb(157, 157, 157) 55%,
                rgb(157, 157, 157) 60%,
                rgb(137, 137, 137) 60%,
                rgb(137, 137, 137) 88%,
                rgb(118, 118, 118) 88%,
                rgb(118, 118, 118) 91%,
                rgb(99, 99, 99) 91%,
                rgb(99, 99, 99) 100%
            ),
            linear-gradient(
                157.5deg,
                rgb(214, 214, 214) 0%,
                rgb(214, 214, 214) 10%,
                rgb(195, 195, 195) 10%,
                rgb(195, 195, 195) 53%,
                rgb(176, 176, 176) 53%,
                rgb(176, 176, 176) 55%,
                rgb(157, 157, 157) 55%,
                rgb(157, 157, 157) 60%,
                rgb(137, 137, 137) 60%,
                rgb(137, 137, 137) 88%,
                rgb(118, 118, 118) 88%,
                rgb(118, 118, 118) 91%,
                rgb(99, 99, 99) 91%,
                rgb(99, 99, 99) 100%
            ),
            linear-gradient(
                135deg,
                rgb(214, 214, 214) 0%,
                rgb(214, 214, 214) 10%,
                rgb(195, 195, 195) 10%,
                rgb(195, 195, 195) 53%,
                rgb(176, 176, 176) 53%,
                rgb(176, 176, 176) 55%,
                rgb(157, 157, 157) 55%,
                rgb(157, 157, 157) 60%,
                rgb(137, 137, 137) 60%,
                rgb(137, 137, 137) 88%,
                rgb(118, 118, 118) 88%,
                rgb(118, 118, 118) 91%,
                rgb(99, 99, 99) 91%,
                rgb(99, 99, 99) 100%
            ),
            linear-gradient(90deg, rgb(195, 195, 195), rgb(228, 228, 228));
        background-blend-mode: overlay, overlay, overlay, normal;
    }
}
